# Uses of Class
io.dapr.client.domain.CloudEvent

Packages that use CloudEvent
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of CloudEvent in io.dapr.client

Methods in io.dapr.client with parameters of type CloudEvent
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<SubscriptionListener.Status>`
SubscriptionListener.`onEvent(CloudEvent<T> event)`
Processes an event from streaming subscription.

## Uses of CloudEvent in io.dapr.client.domain

Methods in io.dapr.client.domain that return CloudEvent
Modifier and Type
Method
Description
`static CloudEvent<?>`
CloudEvent.`deserialize(byte[] payload)`
Deserialize a message topic from Dapr.